summaryrefslogtreecommitdiffstats
path: root/etc/patches/bottlenecks/bugfix-add-ping-sla/apply.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/patches/bottlenecks/bugfix-add-ping-sla/apply.sh')
-rwxr-xr-xetc/patches/bottlenecks/bugfix-add-ping-sla/apply.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/etc/patches/bottlenecks/bugfix-add-ping-sla/apply.sh b/etc/patches/bottlenecks/bugfix-add-ping-sla/apply.sh
new file mode 100755
index 00000000..9e56ef5a
--- /dev/null
+++ b/etc/patches/bottlenecks/bugfix-add-ping-sla/apply.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+set -u
+
+cd /home/opnfv/bottlenecks
+# without setting the user, git does not allow to create a commit
+git config --global user.email "verified@opnfv.org"
+git config --global user.name "Dovetail"
+
+git am $(dirname $0)/0001-Bugfix-add-patch-yardstick-container.patch
+
+cp testsuites/run_testsuite.py /usr/local/lib/python2.7/dist-packages/testsuites/run_testsuite.py
+
+exit 0